###
### Tests unitaires de la fonction 'sqrt'
###

## Définir la fonction dans l'espace de travail.
source("sqrt.R")

## La fonction 'sqrt' calcule la racine carrée d'un nombre par la
## méthode des approximations successives de Newton.
##
## Tests unitaires:
##
## 1. Erreur pour un argument négatif.
## 2. Véritable 0 pour un argument nul.
## 3. Carré de la réponse égal à l'argument autrement; il faut ajuster
##    la tolérance en fonction de celle utilisée dans la fonction.
tools::assertError(sqrt(-1))
stopifnot(exprs = {
    identical(0, sqrt(0))
    all.equal(3, sqrt(3)^2,
              tolerance = 0.001)
})
